Bug 508669 - oprofile man page cites not-present html docs
oprofile man page cites not-present html docs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 08:27 EDT by Jim Cromie
Modified: 2009-11-16 02:25 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.9.5-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 02:25:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to oprofile.spec file to point at the appropriate locationfor additional docs (771 bytes, patch)
2009-10-06 16:19 EDT, William Cohen
no flags Details | Diff

  None (edit)
Description Jim Cromie 2009-06-29 08:27:45 EDT
Description of problem:

oprofile has HTML pages that are not packaged:
see
       For a gentle guide to using OProfile, please read the  HTML  documenta-
       tion listed in SEE ALSO.
and
SEE ALSO
       /usr/share/doc/oprofile/,   opcontrol(1),  opreport(1),  opannotate(1),
      

Version-Release number of selected component (if applicable):

[jimc@harpo perl]$ rpm -q oprofile
oprofile-0.9.4-6.fc11.i586


and this dir doesnt exist.

       /usr/share/doc/oprofile
Comment 1 William Cohen 2009-06-29 08:58:51 EDT
A html file does exist in the rpm. However, the directory is appended by the version:

$ rpm -qs oprofile|grep doc
normal        /usr/share/doc/oprofile-0.9.4
normal        /usr/share/doc/oprofile-0.9.4/oprofile.html
Comment 2 William Cohen 2009-10-06 16:19:45 EDT
Created attachment 363892 [details]
Patch to oprofile.spec file to point at the appropriate locationfor additional docs

This is a proposed patch to fix this man pages so they have the correct path.
Comment 3 Fedora Update System 2009-10-08 09:12:09 EDT
oprofile-0.9.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oprofile-0.9.5-3.fc11
Comment 4 William Cohen 2009-10-08 09:14:57 EDT
There is a pending update of oprofile that should resolve this issue described in comment #3. could you give this a try and verify that it fixes the problem.
Comment 5 Fedora Update System 2009-10-08 23:35:40 EDT
oprofile-0.9.5-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oprofile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10330
Comment 6 Fedora Update System 2009-11-03 21:18:27 EST
oprofile-0.9.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oprofile-0.9.5-4.fc11
Comment 7 Fedora Update System 2009-11-05 19:05:50 EST
oprofile-0.9.5-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oprofile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11042
Comment 8 Fedora Update System 2009-11-16 02:25:22 EST
oprofile-0.9.5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.